This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 756338 - During reshape mounting device is impossible
During reshape mounting device is impossible
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jes Sorensen
Fedora Extras Quality Assurance
:
Depends On: 755009
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-23 05:34 EST by Jes Sorensen
Modified: 2011-12-14 18:37 EST (History)
5 users (show)

See Also:
Fixed In Version: mdadm-3.2.2-15.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 755009
Environment:
Last Closed: 2011-12-14 18:37:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jes Sorensen 2011-11-23 05:34:57 EST
+++ This bug was initially created as a clone of Bug #755009 +++

Description of problem:
During reshare to RAID5 mounting device is not possible.

How reproducible:
1.

Steps to Reproduce:
1. RAID1 is created on 2 disks.
2. Partitions are created on RAID (including making fs)
3. 2 more disks are added to container.
4. RAID1 is migrated to RAID0 on 3 disks.
5. During this reshare mounting is possible.
6. After reshare is finished RAID0 is migrated to RAID5
7. When reshare has got app. 1% hard power off is performed.
8. After reboot reshare is continued but mounting partitions is not possible.


Actual results:
See #8

Expected results:
In step 8 mounting partitions should be possible.

Additional info:
Fixed by commit
http://neil.brown.name/git?p=mdadm;a=commit;h=9ad6f6e65a535f77f180e87393043a8ffcfb30d8

Originally reported by Maciej Patelczyk
Comment 1 Fedora Update System 2011-11-23 05:49:38 EST
mdadm-3.2.2-15.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.2-15.fc15
Comment 2 Fedora Update System 2011-11-23 18:30:18 EST
Package mdadm-3.2.2-15.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.2.2-15.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16322/mdadm-3.2.2-15.fc15
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-12-14 18:37:02 EST
mdadm-3.2.2-15.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.